Subject: Suggestion: remove nonportability in dynloaded object names

From: [email-masked]
Date: Fri, 22 Jan 93 09:23:12 -0800

I would like to suggest that the next release of postgres remove the
assumption (in the documents, and in the code) that a dynamically
loaded object has a name ending in .o.  The port dynloading code
should know what the correct extension is, since it varies from
platform to platform (for example, on svr4 it would be .so).  Thus I
suggest that all references to dynloaded objects have *no extension*.

Thanks for listening.
---
 Robert Withrow, Tel: +1 617 598 4480, Fax: +1 617 598 4430, Net: [email-masked]
 R.W. Withrow Associates, 21 Railroad Ave, Swampscott MA 01907-1821 USA